## org.opencyc.uml.action
Class Pin

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.action.Pin

Direct Known Subclasses:
  InputPin, OutputPin

public abstract class Pin
extends org.opencyc.uml.core.ModelElement

Pin from the UML Action package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected int` `multiplicity` the number of values this pin may hold at any one time
`static int` `ORDERED`
`protected int` `ordering` indicates whether the set of values held by this pin is ordered or not
`protected java.lang.Class` `type` the type of this pin
`static int` `UNORDERED`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`Pin()` Constructs a new Pin object

Method Summary
`int` `getMultiplicity()` Gets the number of values this pin may hold at any one time
`int` `getOrdering()` Gets whether the set of values held by this pin is ordered or not
`java.lang.Class` `getType()` Gets the type of this pin.
`void` `setMultiplicity(int multiplicity)` Sets the number of values this pin may hold at any one time
`void` `setOrdering(int ordering)` Sets whether the set of values held by this pin is ordered or not
`void` `setType(java.lang.Class type)` Sets the type of this pin.

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected java.lang.Class type

  the type of this pin

### multiplicity

    protected int multiplicity

  the number of values this pin may hold at any one time

### ordering

    protected int ordering

  indicates whether the set of values held by this pin is ordered or not

### UNORDERED

    public static final int UNORDERED

### ORDERED

    public static final int ORDERED

Constructor Detail

### Pin

    public Pin()

  Constructs a new Pin object

Method Detail

### getType

    public java.lang.Class getType()

  Gets the type of this pin.
  Returns:
    the type of this pin

### setType

    public void setType(java.lang.Class type)

  Sets the type of this pin.
  Parameters:
    `type` - the type of this pin

### getMultiplicity

    public int getMultiplicity()

  Gets the number of values this pin may hold at any one time
  Returns:
    the number of values this pin may hold at any one time

### setMultiplicity

    public void setMultiplicity(int multiplicity)

  Sets the number of values this pin may hold at any one time
  Parameters:
    `multiplicity` - the number of values this pin may hold at any one time

### getOrdering

    public int getOrdering()

  Gets whether the set of values held by this pin is ordered or not
  Returns:
    whether the set of values held by this pin is ordered or not

### setOrdering

    public void setOrdering(int ordering)

  Sets whether the set of values held by this pin is ordered or not
  Parameters:
    `ordering` - whether the set of values held by this pin is ordered or not